<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;
use App\Models\CompanyModule;
use App\Models\Order;

class OrderRoleObject  implements DataTransferObject
{

    /** @var Order */
    private $order;

    /** @var CompanyModule */
    private $companyModule;

    /** @var int */
    private $role;

    /**
     * OrderRoleObject constructor.
     * @param Order $order
     * @param CompanyModule $companyModule
     * @param int $role
     */
    public function __construct(Order $order, CompanyModule $companyModule, int $role)
    {
        $this->order = $order;
        $this->companyModule = $companyModule;
        $this->role = $role;
    }

    /**
     * @return Order
     */
    public function getOrder(): Order
    {
        return $this->order;
    }

    /**
     * @return CompanyModule
     */
    public function getCompanyModule(): CompanyModule
    {
        return $this->companyModule;
    }

    /**
     * @return int
     */
    public function getRole(): int
    {
        return $this->role;
    }


}
